Subject: Re: RFC 2741 clause 5.1

From: Randy Presuhn <[email-masked]>
Date: Fri, 15 Mar 2002 10:17:29 -0800 (PST)

Hi -

> Message-ID: <[email-masked]>
> Date: Fri, 15 Mar 2002 12:51:52 -0500
> From: Michael Daniele <[email-masked]>
> To: Randy Presuhn <[email-masked]>
> Cc: [email-masked]
> Subject: Re: RFC 2741 clause 5.1
> References: <[email-masked]>
...
> why, for example, should it be illegal for a subagent to register "1"?

The AgentX protocol as written appears to allow this.  The
problem comes when we need to represent the in the AgentX MIB,
specifically in the object agentxRegStart, which is defined
as a read-only object identifier.  If a subagent registers
"1", what value should be returned in the response to a get
request for this instance of agentxRegStart?

> >
> > If all master agents are bug-free, these PDUs won't
> > be perpetrated, except perhaps by Finnish university
> > students.  :-)
> >
> 
> if a master agent is encoding into AgentX an OID that
> does not have a valid BER representation, then it is
> going to do so regardless of what AgentX does or doesn't
> say in its specification.

I think we're in violent agreement on this point.
The question is how either entity should respond
to these bogus "OIDs".

> the specification already provides several choices for an AgentX
> implementation to handle such OIDs.

I think this is the heart of the problem.  Having more
than one choice tends to work against interoperability.

> i don't think anything else need be (over) specified.
...

I don't like overspecification, either, but your example
illustrates a case where the protocol lets us do things
that the AgentX MIB can't support.  I think this is a
sub-optimal state of affairs. 

 ------------------------------------------------------
 Randy Presuhn          BMC Software, Inc.  1-3141
 [email-masked]  2141 North First Street
 Tel: +1 408 546-1006   San José, California 95131  USA
 ------------------------------------------------------
 My opinions and BMC's are independent variables.
 ------------------------------------------------------

---

From: Michael Daniele <[email-masked]>
Date: Mon, 18 Mar 2002 21:49:34 -0500

> request for this instance of agentxRegStart?

that is a good point.  i concede :-)

mike